Skip to main content
GET
/
api
/
reports
/
transactions-by-vendors
Get transactions by vendor
curl --request GET \
  --url https://api.example.com/api/reports/transactions-by-vendors \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "fromDate": "<string>",
    "toDate": "<string>",
    "numberFormat": {
      "precision": 2,
      "divideOn1000": false,
      "showZero": true,
      "formatMoney": "total",
      "negativeFormat": "parentheses"
    },
    "vendorsIds": [
      123
    ],
    "noneZero": true
  },
  "data": [
    {
      "vendorId": 123,
      "vendorName": "<string>",
      "transactions": [
        {
          "date": "<string>",
          "dateFormatted": "<string>",
          "transactionType": "<string>",
          "transactionNumber": "<string>",
          "amount": {
            "amount": 123,
            "formattedAmount": "<string>",
            "currencyCode": "<string>",
            "date": {}
          },
          "runningBalance": {
            "amount": 123,
            "formattedAmount": "<string>",
            "currencyCode": "<string>",
            "date": {}
          },
          "referenceType": "<string>",
          "referenceId": 123,
          "description": "<string>"
        }
      ],
      "closingBalance": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "openingBalance": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "totalDebit": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "totalCredit": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      }
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneTransactions
boolean
default:false

Whether to exclude transactions

Example:

false

noneZero
boolean
default:false

Whether to exclude zero values

Example:

false

vendorsIds
string[]

Array of vendor IDs to include

Response

Transactions by vendor

query
object
required

Query parameters used to generate the report

data
object[]
required

Vendors with transactions

meta
object
required

Report metadata